%define anolis_release 1
%global pypi_name librosa
%global pypi_version 0.10.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Python module for audio and music processing

License:        ISC
URL:            https://librosa.org
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(audioread) >= 2.1.9
BuildRequires:  python3dist(decorator) >= 4.3
BuildRequires:  python3dist(joblib) >= 0.14
BuildRequires:  python3dist(lazy-loader) >= 0.1
BuildRequires:  python3dist(msgpack) >= 1
BuildRequires:  python3dist(numba) >= 0.51
BuildRequires:  python3dist(numpy) >= 1.23
BuildRequires:  python3dist(pooch) >= 1
BuildRequires:  python3dist(scikit-learn) >= 0.20
BuildRequires:  python3dist(scipy) >= 1.2
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(soundfile) >= 0.12.1
BuildRequires:  python3dist(soxr) >= 0.3.2
BuildRequires:  python3dist(typing-extensions) >= 4.1.1
BuildRequires:  python3dist(matplotlib) >= 3.3.0

%description
librosa is a python package for music and audio analysis. It provides the building blocks necessary 
to create music information retrieval systems.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3dist(audioread) >= 2.1.9
BuildRequires:  python3dist(decorator) >= 4.3
BuildRequires:  python3dist(joblib) >= 0.14
BuildRequires:  python3dist(lazy-loader) >= 0.1
BuildRequires:  python3dist(msgpack) >= 1
BuildRequires:  python3dist(numba) >= 0.51
BuildRequires:  python3dist(numpy) >= 1.23
BuildRequires:  python3dist(pooch) >= 1
BuildRequires:  python3dist(scikit-learn) >= 0.20
BuildRequires:  python3dist(scipy) >= 1.2
BuildRequires:  python3dist(soundfile) >= 0.12.1
BuildRequires:  python3dist(soxr) >= 0.3.2
BuildRequires:  python3dist(typing-extensions) >= 4.1.1
%description -n python3-%{pypi_name}
librosa is a python package for music and audio analysis. It provides the building blocks necessary 
to create music information retrieval systems.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Feb 05 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.10.1-1
- Initial package.